addFontAwesome {visNetwork} | R Documentation

## Use fontAwesome icons in visNetwork `graph`

### Description

Add Font-Awesome for styling our `graph` with beautiful, professional icons. Please note that you'll already have these icons if using Shiny. Can also use addIonicons

### Usage

    addFontAwesome(graph)

### Arguments

`graph` | : a visNetwork object

### Value

`graph` htmlwidget with Font-Awesome dependencies attached.

### Examples

    # use fontAwesome icons using groups or nodes options
    # font-awesome is not part of dependencies. use addFontAwesome() if needed.
    # http://fortawesome.github.io/Font-Awesome/

    nodes <- data.frame(id = 1:3, group = c("B", "A", "B"))
    edges <- data.frame(from = c(1,2), to = c(2,3))

    visNetwork(nodes, edges) %>%
      visGroups(groupname = "A", shape = "icon", icon = list(code = "f0c0", size = 75)) %>%
      visGroups(groupname = "B", shape = "icon", icon = list(code = "f007", color = "red")) %>%
      addFontAwesome()

    nodes <- data.frame(id = 1:3)
    edges <- data.frame(from = c(1,2), to = c(1,3))

    visNetwork(nodes, edges) %>%
      visNodes(shape = "icon", icon = list( face ='FontAwesome', code = "f0c0")) %>%
      addFontAwesome()

[Package visNetwork version 1.0.1 Index]